/*
 * Copyright (c) 2007, Going Dot Com Inc. All rights reserved.
 */

package jp.co.going.xbrl.sample.dao.obj;

/**
 * @author Masako Okayasu
 */
public class XbItemObj extends XbMappingObj {

	// トータル的な並び順
	private long item_order;
	// タクソノミーグループID
	private long taxonomy_group_id;
	// タクソノミーID
	private long taxonomy_id;
	// タクソノミー項目ID
	private long taxonomy_item_id;
	// アイテム or タプル
	private String item_type;
	// 親タクソノミー項目ID
	private long parent_taxonomy_item_id;
	// 親アイテム or タプル
	private String parent_item_type;
	// 並び順
	private String presentation_order;
	// 項目言語
	private String item_lang;
	// 項目名
	private String item_name;

	/**
	 * @return item_lang
	 */
	public String getItem_lang() {
		return item_lang;
	}
	/**
	 * @param item_lang 設定する item_lang
	 */
	public void setItem_lang(String item_lang) {
		this.item_lang = item_lang;
	}
	/**
	 * @return item_name
	 */
	public String getItem_name() {
		return item_name;
	}
	/**
	 * @param item_name 設定する item_name
	 */
	public void setItem_name(String item_name) {
		this.item_name = item_name;
	}
	/**
	 * @return item_order
	 */
	public long getItem_order() {
		return item_order;
	}
	/**
	 * @param item_order 設定する item_order
	 */
	public void setItem_order(long item_order) {
		this.item_order = item_order;
	}
	/**
	 * @return item_type
	 */
	public String getItem_type() {
		return item_type;
	}
	/**
	 * @param item_type 設定する item_type
	 */
	public void setItem_type(String item_type) {
		this.item_type = item_type;
	}
	/**
	 * @return parent_item_type
	 */
	public String getParent_item_type() {
		return parent_item_type;
	}
	/**
	 * @param parent_item_type 設定する parent_item_type
	 */
	public void setParent_item_type(String parent_item_type) {
		this.parent_item_type = parent_item_type;
	}
	/**
	 * @return parent_taxonomy_item_id
	 */
	public long getParent_taxonomy_item_id() {
		return parent_taxonomy_item_id;
	}
	/**
	 * @param parent_taxonomy_item_id 設定する parent_taxonomy_item_id
	 */
	public void setParent_taxonomy_item_id(long parent_taxonomy_item_id) {
		this.parent_taxonomy_item_id = parent_taxonomy_item_id;
	}
	/**
	 * @return presentation_order
	 */
	public String getPresentation_order() {
		return presentation_order;
	}
	/**
	 * @param presentation_order 設定する presentation_order
	 */
	public void setPresentation_order(String presentation_order) {
		this.presentation_order = presentation_order;
	}
	/**
	 * @return taxonomy_group_id
	 */
	public long getTaxonomy_group_id() {
		return taxonomy_group_id;
	}
	/**
	 * @param taxonomy_group_id 設定する taxonomy_group_id
	 */
	public void setTaxonomy_group_id(long taxonomy_group_id) {
		this.taxonomy_group_id = taxonomy_group_id;
	}
	/**
	 * @return taxonomy_id
	 */
	public long getTaxonomy_id() {
		return taxonomy_id;
	}
	/**
	 * @param taxonomy_id 設定する taxonomy_id
	 */
	public void setTaxonomy_id(long taxonomy_id) {
		this.taxonomy_id = taxonomy_id;
	}
	/**
	 * @return taxonomy_item_id
	 */
	public long getTaxonomy_item_id() {
		return taxonomy_item_id;
	}
	/**
	 * @param taxonomy_item_id 設定する taxonomy_item_id
	 */
	public void setTaxonomy_item_id(long taxonomy_item_id) {
		this.taxonomy_item_id = taxonomy_item_id;
	}
}